using System.Collections.Generic;
using Sirenix.OdinInspector;
using UnityEngine;
using VOID.Generic.World;

namespace VOID.ScriptableObjects.World
{
    [CreateAssetMenu(menuName = "GAME DATA/Świat/WorldGeneratorSettings")]
    public class WorldGeneratorSettings : ScriptableObject
    {
        [InfoBox(nameof(ComplexArea) + " and its variants to select for <b>STARTING</b> area.")]
        [RequiredListLength(MinLength = 1)]
        public List<ComplexArea> startingComplexAreas = new();
        
        [InfoBox(nameof(ComplexArea) + " and its variants to use for generating process.")]
        [RequiredListLength(MinLength = 1)]
        public List<WorldAreaGeneratorSettings> list = new();
    }
}